Page MenuHomePhabricator

Allow users to bulk-change visibility and editability policies for Phriction documents
Closed, ResolvedPublic

Description

I've worked on documentation for one of our open source projects using the All Users visibility and editability policy. As it's finished, I want to migrate the project page and all of its subpages from All Users to Public visibility and a project-based editability policy so it's available to the public, but can only be edited by trusted users.

This is a daunting task currently, with me having to go through all of the subpages one by one and edit their settings, which is both tiresome and error-prone. A solution such as T6004 would be great.

Event Timeline

mbm created this task.Aug 14 2016, 10:56 PM
chad added a subscriber: chad.

See T4675#57776 for a local workaround for now.

chad added a comment.Aug 15 2016, 5:37 PM

I'm vaguely assuming this should work reading the code for PhrictionDocument.

epriestley closed this task as Resolved.Jan 19 2018, 11:00 PM
epriestley claimed this task.
epriestley added a subscriber: epriestley.

This is either T4675 or T6004. I don't know which will happen first, but I'm just going to close it in favor of those.